#!/usr/bin/perl -w
use Test; 
BEGIN { plan tests => 4 }
BEGIN { unshift @INC, "../blib/lib" }
use POWER::lib;

$used   = MEM_used();
ok($used>100, 1,            "sensible if > 100 KB");
ok($used<10000, 1,          "sensible if < 10 MB");

$buf = ""; $buf .= "\377" x 1024 for 1 .. 20480; # 20 MB
$used2  = MEM_used();
ok($used+30720>$used2, 1,   "used no greater than plus 30 MB");
ok($used+10240<$used2, 1,   "used no lesser than plus 10 MB");

